BaseResourceCollectionWrapper (Apache Ant API)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.resources
Class BaseResourceCollectionWrapper

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.resources.BaseResourceCollectionWrapper

All Implemented Interfaces:
  java.lang.Cloneable, ResourceCollection

Direct Known Subclasses:
  SizeLimitCollection, Sort, Tokens

    public abstract class BaseResourceCollectionWrapper

extends DataType
implements ResourceCollection, java.lang.Cloneable

Base class for a ResourceCollection that wraps a single nested ResourceCollection.

Since:
  Ant 1.7

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`BaseResourceCollectionWrapper()`

Method Summary
`void` | `add(ResourceCollection c)` Add a ResourceCollection to the container.
`protected void` | `dieOnCircularReference(java.util.Stack stk, Project p)` Overrides the version of DataType to recurse on all DataType child elements that may have been added.
`protected abstract java.util.Collection` | `getCollection()` Template method for subclasses to return a Collection of Resources.
`protected ResourceCollection` | `getResourceCollection()` Get the nested ResourceCollection.
`boolean` | `isCache()` Learn whether to cache collections.
`boolean` | `isFilesystemOnly()` Fulfill the ResourceCollection contract.
`java.util.Iterator` | `iterator()` Fulfill the ResourceCollection contract.
`void` | `setCache(boolean b)` Set whether to cache collections.
`int` | `size()` Fulfill the ResourceCollection contract.
`java.lang.String` | `toString()` Format this BaseResourceCollectionWrapper as a String.

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseResourceCollectionWrapper

    public BaseResourceCollectionWrapper()

Method Detail

### setCache

    public void setCache(boolean b)

  Set whether to cache collections.

  Parameters:
    `b` - boolean cache flag.

### isCache

    public boolean isCache()

  Learn whether to cache collections. Default is `true`.

  Returns:
    boolean cache flag.

### add

    public void add(ResourceCollection c)
             throws BuildException

  Add a ResourceCollection to the container.

  Parameters:
    `c` - the ResourceCollection to add.
  Throws:
    `BuildException` - on error.

### iterator

    public final java.util.Iterator iterator()

  Fulfill the ResourceCollection contract.

  Specified by:
    `iterator` in interface `ResourceCollection`
  Returns:
    an Iterator of Resources.

### size

    public int size()

  Fulfill the ResourceCollection contract.

  Specified by:
    `size` in interface `ResourceCollection`
  Returns:
    number of elements as int.

### isFilesystemOnly

    public boolean isFilesystemOnly()

  Fulfill the ResourceCollection contract.

  Specified by:
    `isFilesystemOnly` in interface `ResourceCollection`
  Returns:
    whether this is a filesystem-only resource collection.

### dieOnCircularReference

    protected void dieOnCircularReference(java.util.Stack stk,
                                          Project p)
                                   throws BuildException

  Overrides the version of DataType to recurse on all DataType child elements that may have been added.

  Overrides:
    `dieOnCircularReference` in class `DataType`
  Parameters:
    `stk` - the stack of data types to use (recursively).
    `p` - the project to use to dereference the references.
  Throws:
    `BuildException` - on error.

### getResourceCollection

    protected final ResourceCollection getResourceCollection()

  Get the nested ResourceCollection.

  Returns:
    a ResourceCollection.
  Throws:
    `BuildException` - if no nested ResourceCollection has been provided.

### getCollection

    protected abstract java.util.Collection getCollection()

  Template method for subclasses to return a Collection of Resources.

  Returns:
    Collection.

### toString

    public java.lang.String toString()

  Format this BaseResourceCollectionWrapper as a String.

  Overrides:
    `toString` in class `DataType`
  Returns:
    a descriptive `String`.

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD